| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Gaudi::Details::Property::NoHandler Struct Reference

`#include <GaudiKernel/Property.h>`

Inheritance diagram for Gaudi::Details::Property::NoHandler:
[legend]

## Public Member Functions
void | useReadHandler (const PropertyBase &) const
void | setReadHandler (std::function< void(PropertyBase &)>)
std::function< void(PropertyBase &)> | getReadHandler () const
void | useUpdateHandler (const PropertyBase &) const
void | setUpdateHandler (std::function< void(PropertyBase &)>)
std::function< void(PropertyBase &)> | getUpdateHandler () const

## Detailed Description

Definition at line 256 of file Property.h.

## Member Function Documentation

std::function<void( PropertyBase& )> Gaudi::Details::Property::NoHandler::getReadHandler | ( |  | ) | const
| inline

Definition at line 262 of file Property.h.

262 { return nullptr; }

std::function<void( PropertyBase& )> Gaudi::Details::Property::NoHandler::getUpdateHandler | ( |  | ) | const
| inline

Definition at line 268 of file Property.h.

268 { return nullptr; }

void Gaudi::Details::Property::NoHandler::setReadHandler | ( | std::function< void(PropertyBase &)> |  | ) |
| inline

Definition at line 258 of file Property.h.

259 {
260 throw std::logic_error( "setReadHandler not implemented for this class" );
261 }
std::logic_error
STL class.

void Gaudi::Details::Property::NoHandler::setUpdateHandler | ( | std::function< void(PropertyBase &)> |  | ) |
| inline

Definition at line 264 of file Property.h.

265 {
266 throw std::logic_error( "setUpdateHandler not implemented for this class" );
267 }
std::logic_error
STL class.

void Gaudi::Details::Property::NoHandler::useReadHandler | ( | const PropertyBase & |  | ) | const
| inline

Definition at line 257 of file Property.h.

257 {}

void Gaudi::Details::Property::NoHandler::useUpdateHandler | ( | const PropertyBase & |  | ) | const
| inline

Definition at line 263 of file Property.h.

263 {}

The documentation for this struct was generated from the following file:

- GaudiKernel/GaudiKernel/Property.h